VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::EntryCreateSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::EntryCreateSpec:

## Avaliable Methods
public method | set_type ()
public method | get_type ()
public method | new ()

## Detailed Description

The class `Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::EntryCreateSpec` specifies a list of bootable virtual device classes. When a VM is being created and a list* of `Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::EntryCreateSpec` is specified, the boot order of the specific device instances are not specified in this class* . The boot order of the specific device instance will be the order in which the Ethernet and Disk devices appear in the `nics` and `disks` respectively.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::EntryCreateSpec::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Virtual Boot device type. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::EntryCreateSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::EntryCreateSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::EntryCreateSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.boot.device.entry_create_spec');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware::Boot', 'type_name' => 'Device::Type'));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::Device::EntryCreateSpec::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Virtual Boot device type.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Boot/Device.pm